Print Delivery Note
curl --request POST \
--url https://api.jtl-cloud.com/erp/deliveryNotes/{deliveryNoteId}/output/print \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/deliveryNotes/{deliveryNoteId}/output/print"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/deliveryNotes/{deliveryNoteId}/output/print', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}deliverynote
Print Delivery Note
Execute the printing of a DeliveryNote
POST
/
deliveryNotes
/
{deliveryNoteId}
/
output
/
print
Print Delivery Note
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Query Parameters
The target printer to print. The printer is Mandatory, if no User with Own Printer Configuration Available.
Response
The Printjob is created
Was this page helpful?
⌘I